### Class

# Phosh VpnManager

#### Description [src]

    final class Phosh.VpnManager : GObject.Object
    {
      /* No available fields */
    }

Tracks the Vpn status and handle vpn credentials entry

Manages vpn information and state.

#### Ancestors

- GObject

#### Constructors

###### phosh_vpn_manager_new

No description available.

#### Instance methods

###### phosh_vpn_manager_get_enabled

No description available.

###### phosh_vpn_manager_get_icon_name

No description available.

###### phosh_vpn_manager_get_last_connection

No description available.

###### phosh_vpn_manager_get_present

No description available.

###### phosh_vpn_manager_toggle_last_connection

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.VpnManager:enabled

Whether a VPN connection is enabled.

###### Phosh.VpnManager:icon-name

The icon name to represent the current VPN status.

###### Phosh.VpnManager:last-connection

The last activated connection.

###### Phosh.VpnManager:present

Whether there is at least one VPN connection configured.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshVpnManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.